Bug 1380315 - nfs.disable=on option can be removed from hc.conf file
Summary: nfs.disable=on option can be removed from hc.conf file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.1.3 Async
Assignee: Sachidananda Urs
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-09-29 09:34 UTC by RamaKasturi
Modified: 2017-03-07 17:45 UTC (History)
6 users (show)

Fixed In Version: gdeploy-2.0.1-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 11:34:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0260 normal SHIPPED_LIVE Important: ansible and gdeploy security and bug fix update 2017-02-07 16:32:47 UTC

Description RamaKasturi 2016-09-29 09:34:15 UTC
Description of problem:
From RHGS3.2 nfs.disable=on will be set on the newly created volumes by default.It is no longer required to set this option from gdeploy. This option can be removed from hc.conf.

Version-Release number of selected component (if applicable):
gdeploy-2.0-16.el7rhgs.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Remove nfs.disable=on from hc.conf file.

Additional info:

Comment 2 Sachidananda Urs 2016-11-03 08:20:55 UTC
https://github.com/gluster/gdeploy/commit/6ccb932087b3 fixes the issue

Comment 5 RamaKasturi 2016-12-08 14:42:47 UTC
Verified and works fine with build gdeploy-2.0.1-6.el7rhgs.noarch. Checked in the committed code link present at comment 2 i see that nfs.disable=on is not present in hc.conf.

Comment 9 errata-xmlrpc 2017-02-07 11:34:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0260.html


Note You need to log in before you can comment on or make changes to this bug.